@import "../global.less";

.modal-background {
    background: rgba(0, 0, 0, .3);
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999;
} 

.modal-content {
    display: flex;
    flex-direction: column;

    padding: 20px 30px 10px 30px;
    background: white;
    border-radius: 2px;

    min-width: 500px;
    max-width: 700px;
    max-height: 90vh;

    overflow: hidden;
    position: relative;

    user-select: none;

    transition: opacity 0.4s;
    opacity: 0;


    &.modal-animation-enter-done {
        opacity: 1;
    }

    &.mobile {
        min-width: inherit;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;

        max-height: inherit;
        box-sizing: border-box;

        position: fixed;

        opacity: 1;

        .modal-bar:last-of-type {
            margin-top: auto;
        }
    }

    > .title {
        font-size: 1.4em;
        padding: 0;
        margin: 0 0 5px 0;
    }

    > p {
        font-size: 0.9em;
        display: inline-block;
        vertical-align: bottom;
    }

    > .buttons {
        text-align: right;
        margin-top: 2px;
    }

    > .icon {
        display: inline-block;
        height: 38px;
        width: 38px;
    }

    .modal-bar {
        border: 0;
        border-top: 1px solid #BDBDBD;
        width: 1000%;
        left: 0;
        margin: 0 0 0 -500%;
    }

    .modal-bar:last-of-type {
        margin-top: 5px;
    }
}